import { UserInfo } from "./signaling-connection";
import { PeerDataChannel } from "./peer-data-channel";
import { MessageType } from "../shared/types";
export declare class PeerConnection extends PeerDataChannel {
    private dataChannel;
    private user;
    constructor(dataChannel: RTCDataChannel, user: UserInfo);
    private open$;
    send(type: MessageType, data: Uint8Array): Promise<void>;
    disconnect(): void;
}
